<label for="pokemon">Pokemon</label>
<input name="pokemon" type="text" [(ngModel)]="search">

<button type="submit" (click)="fetchPokemon()">Submit</button>

<table class="table table-bordered table-striped">
    <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Height</th>
        <th>Weight</th>
        <th>Base Experience</th>
        <th>Shiny Sprite</th>
        <th>Default Sprite</th>
    </tr>
    <tr *ngFor="let p of pokemon">
        <td>{{ p.id }}</td>
        <td>{{ p.name }}</td>
        <td>{{ p.height }}</td>
        <td>{{ p.weight }}</td>
        <td>{{ p.base_experience }}</td>
        <td><img [src]="p.sprites.front_shiny"></td>
        <td><img [src]="p.sprites.front_default"></td>
    </tr>
</table>